[Author Prev][Author Next][Thread Prev][Thread Next][Author Index][Thread Index]
[tor-commits] [tor-cloud/master] Close connecting if we cannot fetch the gpg key
commit e6822aabbcd7ffc8e1bd6081a234e99af1e5d3e6
Author: Runa A. Sandvik <runa.sandvik@xxxxxxxxx>
Date: Sat Sep 15 21:18:26 2012 +0100
Close connecting if we cannot fetch the gpg key
---
build.sh | 1 +
1 files changed, 1 insertions(+), 0 deletions(-)
diff --git a/build.sh b/build.sh
index e8cfa37..2534cde 100755
--- a/build.sh
+++ b/build.sh
@@ -88,6 +88,7 @@ ssh -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no -i ${sshkey} ub
# Verify the signature
echo "Verify the signature"
ssh -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no -i ${sshkey} ubuntu@${host} -q -t "sudo gpg --keyserver keys.gnupg.net --recv-key 7DB87C81"
+ssh -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no -i ${sshkey} ubuntu@${host} -q -t "if [ `echo $?` -eq "1" ]; then echo 'Could not get key, will lock you out of the instance' ; sudo rm /home/ubuntu/.ssh/authorized_keys ; fi"
ssh -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no -i ${sshkey} ubuntu@${host} -q -t "cd /mnt ; sudo gpg --verify SHA256SUMS.gpg SHA256SUMS"
ssh -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no -i ${sshkey} ubuntu@${host} -q -t "cd /mnt ; sudo sha256sum -c SHA256SUMS 2>&1 | grep OK"
ssh -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no -i ${sshkey} ubuntu@${host} -q -t "echo $?"
_______________________________________________
tor-commits mailing list
tor-commits@xxxxxxxxxxxxxxxxxxxx
https://lists.torproject.org/cgi-bin/mailman/listinfo/tor-commits